import { defineStore } from 'pinia'
import { useAuthStore } from '@/stores/auth'

export const useUserStore = defineStore('user', {
  state: () => ({}),
  getters: {
    getUserId: () => {
      const authStore = useAuthStore()
      return authStore.userId
    },
    getUsername: () => {
      const authStore = useAuthStore()
      return authStore.userName
    },
  },
  actions: {},
})
